List VM network interfaces
curl --request GET \
--url https://api.rafftechnologies.com/api/v1/vms/{id}/networks \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rafftechnologies.com/api/v1/vms/{id}/networks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rafftechnologies.com/api/v1/vms/{id}/networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"nic_id": 0,
"network_name": "vpc-prod",
"ip": "10.0.1.42",
"mac": "02:00:5e:00:53:0a",
"gateway": "10.0.1.1",
"security_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}VM network attachments
List VM network interfaces
List all network interfaces (NICs) attached to a virtual machine.
Each NIC has a nic_id used when detaching from a VPC, IP, or security group.
Use ?type= to filter by interface type (public, vpc, or ipv6).
GET
/
api
/
v1
/
vms
/
{id}
/
networks
List VM network interfaces
Updated May 8, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Path Parameters
VM ID (UUID)
Query Parameters
Filter to one interface type. Omit to return all.
Available options:
public, vpc, ipv6 Last modified on May 8, 2026
⌘I